#### D.13.3.6 GITcone

Procedure from library `gitfan.lib` (see gitfan_lib).

Usage:
  GITcone(OCcones, w); OCcones: list of orbit cones, w: bigintmat with one row

Purpose:
  Returns the intersection of all orbit cones containing w.

Return:
  cone,intvec with the GIT cone containing w, and the hash of this cone (the indices of the orbit cones contributing to the intersection)

Example:

    LIB "gitfan.lib";
    ring R = 0,T(1..10),wp(1,1,1,1,1,1,1,1,1,1);
    ideal J =
    T(5)*T(10)-T(6)*T(9)+T(7)*T(8),
    T(1)*T(9)-T(2)*T(7)+T(4)*T(5),
    T(1)*T(8)-T(2)*T(6)+T(3)*T(5),
    T(1)*T(10)-T(3)*T(7)+T(4)*T(6),
    T(2)*T(10)-T(3)*T(9)+T(4)*T(8);
    intmat Q[5][10] =
    1, 1, 1, 1, 0, 0, 0, 0, 0, 0,
    1, 0, 0, 0, 1, 1, 1, 0, 0, 0,
    0, 1, 1, 0, 0, 0, -1, 1, 0, 0,
    0, 1, 0, 1, 0, -1, 0, 0, 1, 0,
    0, 0, 1, 1, -1, 0, 0, 0, 0, 1;
    list AF= afaces(J,nrows(Q));
    AF=fullDimImages(AF,Q);
    AF = minimalAfaces(AF);
    list OC = orbitCones(AF,Q);
    bigintmat w[1][nrows(Q)];
    int j;
    for(int i = 1; i <= nrows(Q); i++)
    {
    for(j=1;j<=nrows(Q);j++)
    {
    w[1,j]= w[1,j] + Q[1,i];
    }
    }
    GITcone(OC,w);
    ==> AMBIENT_DIM
    ==> 5
    ==> FACETS
    ==> 0,0,0,0,1,
    ==> 0,1,0,0,0
    ==> LINEAR_SPAN
    ==> 1,0,0,0,-1,
    ==> 0,0,1,0,-1,
    ==> 0,0,0,1,-1
    ==>  3,5,6,8,10,11,12,14,16,17,18,19,20,21,22,23,24,25

User manual for Singular version 4.4.1, 2025, generated by texi2html.